## org.eclipse.xsd
Enum XSDSimpleFinal

    java.lang.Object
      java.lang.Enum<XSDSimpleFinal>
          org.eclipse.xsd.XSDSimpleFinal

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDSimpleFinal>, Enumerator

    public enum XSDSimpleFinal

extends java.lang.Enum<XSDSimpleFinal>
implements Enumerator

A representation of the literals of the enumeration 'Simple Final'.

See Also:
  `XSDSimpleTypeDefinition.getFinal()`, `XSDSimpleTypeDefinition.getLexicalFinal()`, `XSDPackage.getXSDSimpleFinal()`

Enum Constant Summary
`ALL_LITERAL` The 'All' literal object
`LIST_LITERAL` The 'List' literal object
`RESTRICTION_LITERAL` The 'Restriction' literal object
`UNION_LITERAL` The 'Union' literal object

Field Summary
`static int` `ALL` The 'All' literal value
`static int` `LIST` The 'List' literal value
`static int` `RESTRICTION` The 'Restriction' literal value
`static int` `UNION` The 'Union' literal value
`static java.util.List<XSDSimpleFinal>` `VALUES` A public read-only list of all the 'Simple Final' enumerators

Method Summary
`static XSDSimpleFinal` `get(int value)` Returns the 'Simple Final' literal with the specified integer value
`static XSDSimpleFinal` `get(java.lang.String literal)` Returns the 'Simple Final' literal with the specified literal value
`static XSDSimpleFinal` `getByName(java.lang.String name)` Returns the 'Simple Final' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDSimpleFinal` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDSimpleFinal[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIST_LITERAL

    public static final XSDSimpleFinal LIST_LITERAL

  The 'List' literal object.

  See Also:
    `LIST`

### RESTRICTION_LITERAL

    public static final XSDSimpleFinal RESTRICTION_LITERAL

  The 'Restriction' literal object.

  See Also:
    `RESTRICTION`

### UNION_LITERAL

    public static final XSDSimpleFinal UNION_LITERAL

  The 'Union' literal object.

  See Also:
    `UNION`

### ALL_LITERAL

    public static final XSDSimpleFinal ALL_LITERAL

  The 'All' literal object.

  See Also:
    `ALL`

Field Detail

### LIST

    public static final int LIST

  The 'List' literal value.

  This is used to indicate that no derivation via list is allowed for a simple type definition.

  See Also:
    `LIST_LITERAL`, Constant Field Values

### RESTRICTION

    public static final int RESTRICTION

  The 'Restriction' literal value.

  This is used to indicate that no derivation via restriction is allowed for a simple type definition.

  See Also:
    `RESTRICTION_LITERAL`, Constant Field Values

### UNION

    public static final int UNION

  The 'Union' literal value.

  This is used to indicate that no derivation via union is allowed for a simple type definition.

  See Also:
    `UNION_LITERAL`, Constant Field Values

### ALL

    public static final int ALL

  The 'All' literal value.

  This is used to indicate that no derivation is allowed for a simple type definition. It is literally expanded to list, restriction, and union in the infoset model.

  See Also:
    `ALL_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDSimpleFinal> VALUES

  A public read-only list of all the 'Simple Final' enumerators.

Method Detail

### values

    public static final XSDSimpleFinal[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDSimpleFinal c : XSDSimpleFinal.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDSimpleFinal valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDSimpleFinal get(java.lang.String literal)

  Returns the 'Simple Final' literal with the specified literal value.

### getByName

    public static XSDSimpleFinal getByName(java.lang.String name)

  Returns the 'Simple Final' literal with the specified name.

### get

    public static XSDSimpleFinal get(int value)

  Returns the 'Simple Final' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDSimpleFinal>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.